Package ru.bitel.bgbilling.modules.vod.common.bean

# Class Subscriber

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.vod.common.bean.Subscriber

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Subscriber
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `STATUS_ACTIVE` |
  `static int` | `STATUS_INACTIVE` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Subscriber()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Date` | `getActivationTime()` |
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDeactivationTime()` |
  `java.lang.String` | `getPin()` |
  `int` | `getStatus()` |
  `void` | `setActivationTime​(java.util.Date activationTime)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDeactivationTime​(java.util.Date deactivationTime)` |
  `void` | `setPin​(java.lang.String pin)` |
  `void` | `setStatus​(int status)` |
  `static java.lang.String` | `statusToString​(int status)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    See Also:
      Constant Field Values

  - ### STATUS_INACTIVE

    public static final int STATUS_INACTIVE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Subscriber

    public Subscriber()

- ## Method Details

  - ### getPin

    public java.lang.String getPin()

  - ### setPin

    public void setPin​(java.lang.String pin)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getActivationTime

    public java.util.Date getActivationTime()

  - ### setActivationTime

    public void setActivationTime​(java.util.Date activationTime)

  - ### getDeactivationTime

    public java.util.Date getDeactivationTime()

  - ### setDeactivationTime

    public void setDeactivationTime​(java.util.Date deactivationTime)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### statusToString

    public static final java.lang.String statusToString​(int status)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `IdTitle`